/*
     $Revision$
     $Id$
*/

function groep_reload (json)
{
    FcltMgr.reload({ appendurl: "scf_highlight=" + json.groep_key});
}

function edit_rechten(row)
{
    var groep_key = row.getAttribute("ROWKEY");
    var grpData = eval("(" + row.getAttribute("ROWDATA") + ")");

    if (window.functie_key > 0 && grpData.funcdisc && disc_key < 0) // naar het overzicht per discipline
    {
        var url = "appl/mgt/ins_tab_discipline.asp?fac_groep=" + groep_key + "&fac_functie=" + window.functie_key;
        FcltMgr.openDetail(url, { reuse: true });
    }
    else if (window.functie_key > 0)
    {
        $("#fac_groep tbody tr").removeClass("updated editing");
        $(row).addClass('editing');
        var url = "fac_edit_groeprechten.asp?fac_groep={0}&fac_functie={1}&ins_discipline={2}".format(groep_key, window.functie_key, window.disc_key);
        FcltMgr.openModalDetail(url, L("fac_groeprechten"), { callback: groep_reload });
    }
    else // eerst nog een functie erbij kiezen
    {
        open_rechten(groep_key);
    }
}

function open_rechten(groep_key)
{
    var url = "appl/mgt/fac_functie.asp?fac_groep=" + groep_key;
    FcltMgr.openDetail(url, { reuse: true });

}